Bug 1936983 - Topology view - vm details screen isntt stop loading
Summary: Topology view - vm details screen isntt stop loading
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks: 1937313
TreeView+ depends on / blocked
 
Reported: 2021-03-09 15:36 UTC by Matan Schatzman
Modified: 2021-07-27 22:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:52:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8347 0 None open Bug 1936983: Removed loaded prop and nested component 2021-03-10 07:53:25 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:52:54 UTC

Description Matan Schatzman 2021-03-09 15:36:19 UTC
Description of problem:
In the topology view, when clicking on the machine, the VM details is open but no details are showed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Go to topology view
2. click on the machine
3. see no results, only loading

Actual results:
Nonstop loading

Expected results:
VM details

Additional info:

Comment 1 Guohua Ouyang 2021-03-10 04:07:01 UTC
See the issue on 4.7.0 and 4.8.0-0.nightly-2021-03-06-055252.

Comment 3 Guohua Ouyang 2021-03-11 01:04:42 UTC
Verified on master

Comment 4 Guohua Ouyang 2021-03-18 06:31:50 UTC
It's reproduced on master again, now the vm detail view is broken, a blank page shows.
Move to assigned.

Comment 5 Guohua Ouyang 2021-03-23 02:50:37 UTC
(In reply to Guohua Ouyang from comment #4)
> It's reproduced on master again, now the vm detail view is broken, a blank
> page shows.

It is the vm details view can be loaded but it crashed immediately. Errors shows in chrome developers console:

```
TypeError: e.filter is not a function
    at t.a (createVM-chunk-718738e88c5dda2e0b01.min.js:1)
    at Array.filter (<anonymous>)
    at dev-console-topology-chunk-2803932194fbb22ae793.min.js:29991
    at Array.reduce (<anonymous>)
    at dev-console-topology-chunk-2803932194fbb22ae793.min.js:29991
    at Array.map (<anonymous>)
    at dev-console-topology-chunk-2803932194fbb22ae793.min.js:29991
    at Object.useMemo (vendors~main-chunk-df70fe318064e42c257a.min.js:164117)
    at Object.useMemo (vendors~main-chunk-df70fe318064e42c257a.min.js:164082)
    at t.a (dev-console-topology-chunk-2803932194fbb22ae793.min.js:29991)

main-chunk-744778ee71ee3d70503d.min.js:1 stopped watching core~v1~Pod---{"ns":"openshift-virtualization-os-images"} before finishing incremental loading with error TypeError: e.filter is not a function!
```

Comment 6 Guohua Ouyang 2021-03-24 11:31:09 UTC
just test against master again, the problem is gone.
Move back to verified.

Comment 9 errata-xmlrpc 2021-07-27 22:52:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.